Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.platform
Class AblePlatformPreferences.AgentPoolEntry_

    java.lang.Object
      com.ibm.able.platform.AblePlatformPreferences.AgentPoolEntry_

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  AblePlatformPreferences

public final class AblePlatformPreferences.AgentPoolEntry_
extends java.lang.Object
implements java.io.Serializable

This class encapsulates the definition of a single agent pool as found in a platform preference file. When used in a keyed collection, the AgentPool's alias is used as the key.

See Also:
  Serialized Form

Constructor Summary
`AblePlatformPreferences.AgentPoolEntry_(AblePlatformPreferences.AgentPoolEntry_ theAgentPoolEntry)`
`AblePlatformPreferences.AgentPoolEntry_(java.lang.String theAgentPoolAlias, java.lang.String theIpAddress, java.lang.String thePort, java.lang.String thePrincipalAlias)`

Method Summary
`java.lang.String` | `getAgentPoolAlias()`
`java.lang.String` | `getIpAddress()`
`java.lang.String` | `getPort()`
`java.lang.String` | `getPrincipal()`
`java.lang.String` | `getPrincipalAlias()`
`java.lang.String` | `prettyPrint()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AblePlatformPreferences.AgentPoolEntry_

    public AblePlatformPreferences.AgentPoolEntry_(java.lang.String theAgentPoolAlias,
                                                   java.lang.String theIpAddress,
                                                   java.lang.String thePort,
                                                   java.lang.String thePrincipalAlias)

### AblePlatformPreferences.AgentPoolEntry_

    public AblePlatformPreferences.AgentPoolEntry_(AblePlatformPreferences.AgentPoolEntry_ theAgentPoolEntry)

Method Detail

### getAgentPoolAlias

    public java.lang.String getAgentPoolAlias()

### getIpAddress

    public java.lang.String getIpAddress()

### getPort

    public java.lang.String getPort()

### getPrincipalAlias

    public java.lang.String getPrincipalAlias()

### getPrincipal

    public java.lang.String getPrincipal()

### prettyPrint

    public java.lang.String prettyPrint()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005